{% raw %}
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: ssh-auth-example
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: example
    kind: SecretStore
  target:
    name: secret-to-be-created
    template:
      type: kubernetes.io/ssh-auth
      data:
        ssh-privatekey: "{{ .mysecret | toString }}"
    name: secret-to-be-created
    creationPolicy: Owner
  data:
  - secretKey: mysecret
    remoteRef:
      key: ssh-priv-key-example
{% endraw %}
